classification
Title: urllib.urlopen does not have timeout parameter where as urllib2.urlopen has
Type: Stage:
Components: Library (Lib) Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: georg.brandl, orsenthil
Priority: normal Keywords: easy

Created on 2009-07-19 02:52 by orsenthil, last changed 2010-08-01 14:26 by georg.brandl. This issue is now closed.

Messages (3)
msg90703 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2009-07-19 02:52
Just noticed this while fixing another bug issue5102. 
Need to figure out why urllib.urlopen does not have timeout in the first
account and if it was due to some overlook, then:

1) add timeout parameter to urllib.urlopen
2) propage it across redirects.

It may not have high implications in Py2.x, but might lead us to
problems in future in Py3.x where urlopen is a combined function.
msg90719 - (view) Author: Skip Montanaro (skip.montanaro) * (Python triager) Date: 2009-07-20 01:28
I suspect that was a conscious decision.  Back when it was first written
urllib2 was supposed to eventually replace urllib I think.  Dunno if
that's still true, but if so I could see why this feature wasn't added
to urllib.urlopen.
msg112333 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-01 14:26
Not an issue anymore for Python 3.
History
Date User Action Args
2010-08-01 14:26:04georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg112333

resolution: out of date
2010-05-20 20:30:52skip.montanarosetnosy: - skip.montanaro
2009-07-20 01:28:31skip.montanarosetnosy: + skip.montanaro
messages: + msg90719
2009-07-19 02:52:18orsenthilcreate